### Method

# EDataServer WebDAVSession delete_with_headers_sync

since: 3.50

#### Declaration [src]

    gboolean
    e_webdav_session_delete_with_headers_sync (
      EWebDAVSession* webdav,
      const gchar* uri,
      const gchar* depth,
      const gchar* etag,
      SoupMessageHeaders* in_headers,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Deletes a resource identified by `uri` on the server. The URI can reference a collection, in which case `depth` should be `E_WEBDAV_DEPTH_INFINITY`. Use `depth` `E_WEBDAV_DEPTH_THIS` when deleting a regular resource, or `NULL`, to let the server use default Depth.

The `etag` argument is used to avoid clashes when overwriting existing resources. Use `NULL` `etag` when deleting collection resources or to force the deletion, otherwise provide a valid ETag of a non-collection resource to verify that the version requested to delete is the same as on the server.

The optional `in_headers` can contain additional headers to be added to the request. These headers replace any existing in the request headers, without support for the list-values headers.

Note that the actual usage of `etag` is also influenced by `ESourceWebdav:avoid-ifmatch` property of the associated `ESource`.

Available since: 3.50

#### Parameters

`uri`

  Type: `const gchar*`

  URI of the resource to delete.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`depth`

  Type: `const gchar*`

  Optional requested depth, can be one of `E_WEBDAV_DEPTH_THIS` or `E_WEBDAV_DEPTH_INFINITY`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`etag`

  Type: `const gchar*`

  An optional ETag of the resource, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`in_headers`

  Type: `SoupMessageHeaders`

  Additional `SoupMessageHeaders` to be added to the request, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.